#!/bin/bash
oldsettings=`gsettings get com.canonical.Unity.Panel systray-whitelist`

if [[ "$oldsettings" == *ecodmssinglesignon* ]]
then
    echo "ecoDMS Singlesignon already in whitelist"
else
    newsettings="${oldsettings%?}, 'ecodmssinglesignon']"
    echo "Set whitelist to $newsettings"
    gsettings set com.canonical.Unity.Panel systray-whitelist "$newsettings"
    echo "Whitelist updated successfully, you have to relogin now!"

fi